> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# डिजिटल ID वॉलेट सत्यापन परिणाम प्राप्त करें

> Didit के साथ स्वतंत्र डिजिटल ID वॉलेट सत्यापन की स्थिति और सत्यापित पहचान परिणाम पढ़ें।

सत्यापन शुरू करते समय लौटाए गए `request_id` का उपयोग करें।
उसी एप्लिकेशन से संबंधित API कुंजी से प्रमाणीकरण करें।

लंबित सत्यापन से व्यक्ति की पहचान स्थापित नहीं हुई है।
लौटाई गई पहचान को सत्यापित डेटा के रूप में उपयोग करने से पहले अंतिम परिणाम जाँच लें।
वॉलेट-विशिष्ट विशेषताएँ वॉलेट और देश के अनुसार अलग होती हैं।

फ़ोन पर स्वीकृति के लिए, प्रमाणीकरण जाँच आगे बढ़ाने हेतु [वॉलेट सत्यापन पोल करें](https://docs.didit.me/hi/standalone-apis/digital-id-wallet-poll.md) का उपयोग करें।
पूर्ण इंटीग्रेशन क्रम के लिए [Digital ID wallet APIs](https://docs.didit.me/hi/standalone-apis/digital-id-wallets.md) देखें।


## OpenAPI

````yaml hi/openapi-25.json GET /v3/id-verification/wallets/verifications/{request_id}/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: पहचान सत्यापन API। x-api-key हेडर के साथ प्रमाणीकृत करें।
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/id-verification/wallets/verifications/{request_id}/:
    get:
      tags:
        - Digital ID wallets
      summary: वॉलेट सत्यापन प्राप्त करें
      description: >-
        वॉलेट सत्यापन की स्थिति और परिणाम: सत्यापित होने पर सामान्यीकृत पहचान और
        वॉलेट की अपनी विशेषताएं, अस्वीकृत होने पर त्रुटि कोड, लंबित होने पर अगली
        कार्रवाई। expires_at पार कर चुके सत्यापन को टाइमआउट माना जाता है।
      operationId: get_wallet_verification
      parameters:
        - in: path
          name: request_id
          schema:
            type: string
            format: uuid
          description: वह request_id जो start endpoint ने लौटाया था।
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiWalletVerificationResponse
              example:
                request_id: 00000000-0000-4000-8000-000000000001
                wallet_verification:
                  wallet:
                    id: ftn
                    name: Finnish Trust Network
                    issuing_authority: Finnish banks and mobile operators (FTN)
                  country: FIN
                  status: Not Finished
                  outcome: pending
                  error: null
                  interaction: redirect
                  simulated: false
                  expires_at: '2026-01-01T10:10:00Z'
                  next_action:
                    type: redirect
                    url: https://wallet.example.com/authorize
                  identity: null
                  attributes: null
                  level_of_assurance: null
                  verified_at: null
                  signature_valid: null
                  credential_type: person_identification
                vendor_data: your-customer-reference
                metadata:
                  reference: example
                created_at: '2026-01-01T10:00:00Z'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DigitalIdWalletApiClientCredentialsForbiddenErrorMessage
          description: 'क्रेडेंशियल मौजूद नहीं हैं (x-api-key या Authorization: Bearer)।'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationError'
          description: >-
            त्रुटि not_found: इस एप्लिकेशन के किसी भी वॉलेट सत्यापन में यह
            request_id नहीं है।
      security:
        - ApiKeyAuth: []
        - BearerAuth: []
      x-codeSamples:
        - lang: curl
          label: cURL
          source: |-
            curl --request GET \
              --url https://verification.didit.me/v3/id-verification/wallets/verifications/REQUEST_ID/ \
              --header 'x-api-key: YOUR_API_KEY'
        - lang: python
          label: Python
          source: |-
            from didit import Didit

            # Reads DIDIT_API_KEY.
            client = Didit()

            result = client.id_wallets.retrieve_verification(
                "11111111-2222-3333-4444-555555555555",
            )
            print(result)
        - lang: javascript
          label: Node.js
          source: >-
            import Didit from "@didit-protocol/sdk-node";


            // Reads DIDIT_API_KEY.

            const didit = new Didit();


            const result = await
            didit.idWallets.retrieveVerification("11111111-2222-3333-4444-555555555555");

            console.log(result);
        - lang: go
          label: Go
          source: "ctx := context.Background()\n// Reads DIDIT_API_KEY.\nclient := didit.NewClient()\n\nresult, err := client.IDWallets.RetrieveVerification(ctx, \"11111111-2222-3333-4444-555555555555\")\nif err != nil {\n\tlog.Fatal(err)\n}\nfmt.Printf(\"%+v\\n\", result)"
        - lang: java
          label: Java
          source: >-
            import me.didit.Didit;


            // Reads DIDIT_API_KEY.

            Didit client = new Didit();


            var result =
            client.idWallets().retrieveVerification("11111111-2222-3333-4444-555555555555");

            System.out.println(result);
        - lang: php
          label: PHP
          source: >-
            <?php


            require 'vendor/autoload.php';


            use Didit\DiditClient;


            // Reads DIDIT_API_KEY.

            $didit = new DiditClient();


            $result =
            $didit->idWallets->retrieveVerification('11111111-2222-3333-4444-555555555555');

            print_r($result->toArray());
        - lang: ruby
          label: Ruby
          source: >-
            require "didit"


            # Reads DIDIT_API_KEY.

            didit = Didit::Client.new


            result =
            didit.id_wallets.retrieve_verification("11111111-2222-3333-4444-555555555555")

            puts result.to_h
        - lang: csharp
          label: .NET
          source: >-
            using System;

            using System.Text.Json;

            using Didit;


            // Reads DIDIT_API_KEY.

            using var client = new DiditClient();


            var result = await
            client.IdWallets.RetrieveVerificationAsync("11111111-2222-3333-4444-555555555555");

            Console.WriteLine(JsonSerializer.Serialize(result));
components:
  schemas:
    DigitalIdWalletApiWalletVerificationResponse:
      type: object
      description: >-
        एक स्टैंडअलोन वॉलेट सत्यापन, जैसा कि प्रत्येक वॉलेट endpoint उत्तर देता
        है।
      properties:
        request_id:
          type: string
          format: uuid
        wallet_verification:
          $ref: '#/components/schemas/DigitalIdWalletApiWalletVerificationResult'
        vendor_data:
          type: string
          nullable: true
        metadata:
          type: object
          additionalProperties: {}
          nullable: true
          description: शुरुआत में भेजा गया मेटाडेटा ऑब्जेक्ट, या null।
        created_at:
          type: string
          format: date-time
      required:
        - created_at
        - metadata
        - request_id
        - vendor_data
        - wallet_verification
    DigitalIdWalletApiClientCredentialsForbiddenErrorMessage:
      type: object
      properties:
        detail:
          type: string
          default: Forbidden - User doesn't have permission
    DigitalIdWalletApiWalletVerificationError:
      type: object
      properties:
        error:
          type: string
          description: मशीन द्वारा पठनीय स्थिर कोड, उदाहरण के लिए wallet_unavailable।
        detail:
          type: string
      required:
        - detail
        - error
    DigitalIdWalletApiWalletVerificationResult:
      type: object
      properties:
        wallet:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWallet'
          readOnly: true
        country:
          type: string
        status:
          type: string
          description: >-
            लंबित रहने के दौरान समाप्त नहीं हुआ (Not Finished), फिर स्वीकृत
            (सत्यापित) या अस्वीकृत।
        outcome:
          $ref: >-
            #/components/schemas/DigitalIdWalletApiWalletVerificationResultOutcomeEnum
        error:
          type: string
          nullable: true
          readOnly: true
        interaction:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiInteractionEnum'
          readOnly: true
        simulated:
          type: boolean
          readOnly: true
        expires_at:
          type: string
          format: date-time
        next_action:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextAction'
          nullable: true
          readOnly: true
        identity:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletIdentity'
          nullable: true
          readOnly: true
        attributes:
          type: object
          additionalProperties: {}
          nullable: true
          readOnly: true
        level_of_assurance:
          type: string
          nullable: true
        verified_at:
          type: string
          format: date-time
          nullable: true
        signature_valid:
          type: boolean
          nullable: true
          description: >-
            क्रेडेंशियल के हस्ताक्षर सत्यापित होने के बाद True; सिम्युलेटेड के
            लिए null।
        credential_type:
          type: string
          nullable: true
      required:
        - attributes
        - country
        - credential_type
        - error
        - expires_at
        - identity
        - interaction
        - level_of_assurance
        - next_action
        - outcome
        - signature_valid
        - simulated
        - status
        - verified_at
        - wallet
    DigitalIdWalletApiWallet:
      type: object
      properties:
        id:
          type: string
          description: वॉलेट का कैटलॉग id, उदा. bankid_se।
        name:
          type: string
        issuing_authority:
          type: string
          nullable: true
      required:
        - id
        - issuing_authority
        - name
    DigitalIdWalletApiWalletVerificationResultOutcomeEnum:
      enum:
        - pending
        - verified
        - cancelled
        - timeout
        - failed
      type: string
      description: |-
        * `pending` - लंबित
        * `verified` - सत्यापित
        * `cancelled` - उपयोगकर्ता द्वारा रद्द किया गया
        * `timeout` - टाइम आउट
        * `failed` - विफल
    DigitalIdWalletApiInteractionEnum:
      enum:
        - redirect
        - in_app
        - digital_credentials
      type: string
      description: |-
        * `redirect` - redirect
        * `in_app` - in_app
        * `digital_credentials` - digital_credentials
    DigitalIdWalletApiWalletNextAction:
      type: object
      properties:
        type:
          allOf:
            - $ref: '#/components/schemas/DigitalIdWalletApiWalletNextActionTypeEnum'
          description: >-
            redirect: उपयोगकर्ता के ब्राउज़र को url पर भेजें। confirm_in_app:
            उपयोगकर्ता को verification_code दिखाएं, जो जांचता है कि यह उनके
            वॉलेट ऐप के कोड से मेल खाता है और वहां पुष्टि करता है; फिर पोल करें।
            request_digital_credential: जिस ऑरिजिन से आपने शुरुआत की थी, उस पर
            उपयोगकर्ता जेस्चर में, digital_credentials.request के साथ वॉलेट से
            अनुरोध करें, फिर जो यह लौटाता है उसे POST
            .../verifications/{request_id}/response/ पर भेजें।


            * `redirect` - redirect

            * `confirm_in_app` - confirm_in_app

            * `request_digital_credential` - request_digital_credential
        url:
          type: string
          format: uri
          description: 'केवल redirect: जहां उपयोगकर्ता वॉलेट से साइन इन करता है।'
        digital_credentials:
          allOf:
            - $ref: >-
                #/components/schemas/DigitalIdWalletApiWalletDigitalCredentialsRequest
          description: 'केवल request_digital_credential: वॉलेट को सौंपने का अनुरोध।'
        verification_code:
          type: string
          description: 'केवल confirm_in_app: 4-अंकीय तुलना कोड जिसे वॉलेट ऐप भी दिखाता है।'
        poll_interval_seconds:
          type: integer
          description: >-
            केवल confirm_in_app: त्वरित फ़ीडबैक के लिए कितनी बार POST
            .../verifications/{request_id}/poll/ को कॉल करना है। Didit पृष्ठभूमि
            में लंबित साइन-इन को भी पोल करता है, इसलिए यदि आप पोल नहीं करते हैं
            तब भी webhook परिणाम की रिपोर्ट करता है।
      required:
        - type
    DigitalIdWalletApiWalletIdentity:
      type: object
      properties:
        full_name:
          type: string
          nullable: true
        first_name:
          type: string
          nullable: true
        last_name:
          type: string
          nullable: true
        date_of_birth:
          type: string
          format: date
          nullable: true
        nationality:
          type: string
          nullable: true
          description: >-
            ISO3 राष्ट्रीयता, केवल तभी जब वॉलेट किसी राष्ट्रीयता का दावा करता है
            (कभी अनुमान नहीं लगाया जाता)।
        issuing_state:
          type: string
          description: ISO3 देश जिसकी प्रणाली के अंतर्गत पहचान जारी की गई है।
      required:
        - date_of_birth
        - first_name
        - full_name
        - issuing_state
        - last_name
        - nationality
    DigitalIdWalletApiWalletNextActionTypeEnum:
      enum:
        - redirect
        - confirm_in_app
        - request_digital_credential
      type: string
      description: |-
        * `redirect` - redirect
        * `confirm_in_app` - confirm_in_app
        * `request_digital_credential` - request_digital_credential
    DigitalIdWalletApiWalletDigitalCredentialsRequest:
      type: object
      properties:
        protocol:
          type: string
          description: openid4vp-v1-signed.
        request:
          type: object
          additionalProperties: {}
          description: >-
            यथावत पास करें: ब्राउज़र में navigator.credentials.get({digital:
            request}), या Android पर GetDigitalCredentialOption के requestJson
            के रूप में JSON.stringify(request)। आपके एप्लिकेशन के लिए Didit
            द्वारा हस्ताक्षरित।
      required:
        - protocol
        - request
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        आपकी एप्लिकेशन की API कुंजी, Business Console में Developers -> API keys
        से। प्राथमिक कुंजी के पास पूर्ण एक्सेस होता है। एक नामित कुंजी को स्कोप
        किया जा सकता है: प्रति संसाधन none, read या write, कुछ वर्कफ़्लो या
        स्वीकृत सत्रों तक सीमित, IP पतों की सूची तक सीमित, और समाप्ति तिथि तक
        सीमित। 401 का अर्थ है कि कुंजी गलत है, निरस्त कर दी गई है या उसकी
        समय-सीमा समाप्त हो गई है; 403 का अर्थ है कि कोई कुंजी नहीं भेजी गई थी,
        कुंजी के पास इस संसाधन या कार्रवाई का एक्सेस नहीं है, या अनुरोध उसकी IP
        सूची से बाहर के पते से आया था; सत्र रूट पर 404 का अर्थ है कि सत्र कुंजी
        के वर्कफ़्लो या स्थितियों से बाहर है। मीडिया एक्सेस के बिना एक कुंजी को
        छवि, वीडियो और PDF URL null के रूप में प्राप्त होते हैं, और सत्र write
        के बिना एक कुंजी को सत्र लिंक और token null के रूप में प्राप्त होते हैं।
        देखें https://docs.didit.me/console/api-keys।
    BearerAuth:
      type: http
      scheme: bearer
      description: एप्लिकेशन का क्लाइंट-क्रेडेंशियल एक्सेस टोकन।

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.